# Uses of Interface
org.opensaml.xmlsec.signature.X509Certificate

Packages that use X509Certificate
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of X509Certificate in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo that return X509Certificate
Modifier and Type
Method
Description
`static X509Certificate`
KeyInfoSupport.`buildX509Certificate(X509Certificate cert)`
Builds an `X509Certificate` XMLObject from a native Java `X509Certificate`.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type X509Certificate
Modifier and Type
Method
Description
`static X509Certificate`
KeyInfoSupport.`getCertificate(X509Certificate xmlCert)`
Convert an `X509Certificate` into a native Java representation.

## Uses of X509Certificate in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type X509Certificate
Modifier and Type
Method
Description
`List<X509Certificate>`
X509Data.`getX509Certificates()`
Get the list of X509Certificate child elements.

## Uses of X509Certificate in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement X509Certificate
Modifier and Type
Class
Description
`class`
`X509CertificateImpl`
Concrete implementation of `X509Certificate`.
Methods in org.opensaml.xmlsec.signature.impl that return X509Certificate
Modifier and Type
Method
Description
`X509Certificate`
X509CertificateBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`X509Certificate`
X509CertificateBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type X509Certificate
Modifier and Type
Method
Description
`List<X509Certificate>`
X509DataImpl.`getX509Certificates()`
Get the list of X509Certificate child elements.